
/*
 * This file simulates the .ino file of the mybot.
 * The original structure of this file must be maintained
 * for the simulator to work correctly.
 * Don't create Mybot instance, it is created automatically.
 * Copy and past real robot setup() and loop() code into the functions below
 */

#include "../mybot_controller/mybot_controller.h"

#include "mybot.ino.h"

/*
 * todo: Your #include statements go here
 */

# ifdef MYBOT_SIM
MYBOT_CONTROLLER_HEADER(CONTROLLER_NAME)
# else
    //Only one instance of mybot object should be declared
    Mybot mybot;
#endif

/*
 * todo: Your global variables go here
 */


void setup() {
    mybot.setup();

    /*
     * todo: Your setup code goes here
     */
}

void loop() {
    mybot.loop();

    /*
     * todo: Your loop code goes here
     */
   
}



# ifdef MYBOT_SIM
MYBOT_CONTROLLER_FOOTER(CONTROLLER_NAME, CONTROLLER_LABEL)
# endif


