#include "../mybot_controller/mybot_controller.h"

class ex2_controller : public MybotController {
private:
    bool isFirst = true;
public:
    ~ex2_controller() = default;
    void setup();
    void loop();

    void Init(TConfigurationNode &t_node) override {
        MybotController::Init(t_node);
        if ( ! mybot.isInitialized() ) {
            throw std::runtime_error("mybot.ino.cpp: mybot wasn't initialized in controller");
        }
    }
    void ControlStep() override {
        if(isFirst) {
            setup();
            isFirst = false;
        }
        loop();
    }
};


REGISTER_CONTROLLER(ex2_controller, "ex2_controller")